How to get osu! running with Mac OS High Sierra

posted
Total Posts
35
Topic Starter
TheWerdna338
When trying to open osu! on mac OS high sierra, nothing happens. i tried various different methods to fix this and researched quite a bit, and i finally found a way to get it running (Note that this for the latest release of osu! not the stable release):

1. Download this version of osu! from gitHub, https://github.com/Mic238/osu-for-Mac-Stable-Latest - once this is downloaded, extract it

2. Download winseskin winery from here, http://wineskin.urgesoftware.com/tiki-i ... =Downloads

3. Open wineskin winery, and click 'Create a new blank Wrapper' - you can name this wrapper whatever you want, i named mine osu!

4. As the wrapper is being created, it will ask if you want to install 'gecko' - click 'install'

5. Once the wrapper has been created, right click on it and open wineskin, and click on 'set screen options' and under the heading 'Other Options', make sure the boxes 'Use mac driver instead of X11' and 'Decorate windows' are ticked and the other 2 boxes are not ticked.

6. Now go back on the main menu of your wineskin wrapper, and click 'install software' and then choose 'move a folder inside'. Navigate to the 'osu-for-Mac-Stable-Latest-master' you extracted earlier and choose this

7. Now it will ask you 'Please select which executable file is normally used in windows to start this program' - there will be a very long list of '.exe' files but try and fine the file that ends with 'osu!.exe' and choose this one

8. Once you have done this, close your wineskin window and quit your wrapper, and then re-open it again and osu! should start up. However, it will say 'Could not install .NET Framework v4' - leave it for now and x off osu!

9. now go back into the wineskin in your wrapper and click on 'advanced', then 'tools', then click on 'kill wineskin processes' just in case. Now click on 'winetricks' and in the search bar search 'video' then open settings and tick the box that says 'videomemorysize = 2048' and run this.

10. once it has been run, search for 'dotNet40' in the search bar and tick the box saying 'dotNet40' and run this. once run, it should open up a file saying 'dotNetFx40_Full_x86_x64.exe' and should also redirect you to a webpage. click off this webpage, but take this file and place it in your desktop (or anywhere else it is easily accessible)

11. click off everything, and open up wineskin again, click on 'install software', then 'choose setup executable', and find the 'dotNetFx40_Full_x86_x64.exe' file and choose this.

12. it should open up some 'microsoft .net' window but you should follow this and accept everything, and install everything. once everything from those windows has been installed, you should double click on your wrapper, and the latest version of osu! should be running on your mac :)
Nakano Yuko
Hi, I've followed every step and it's gone fine until the end. After fixind dotnet40 and closing wine and attempting to open the wrapper, i get a configuration parser error, what should I do? (error is 0x80004001)
UBISOFT12
Hello

I am stuck on step 12 as well and when trying to pick the 'dotNetFx40_Full_x86_x64.exe' file' I get a message that says 'Same or higher version of .NET Framework 4 has already been installed on this computer.' When I try to play it still tells me to install .NET Framework v4. I am not sure what I am doing wrong.

Thanks
Topic Starter
TheWerdna338
I do not know your exact problems, but did the window titled 'Microsoft.net' show up, and if it did, did you click and agree with all the steps, installing the software? After this, it should work.
UBISOFT12

TheWerdna338 wrote:

I do not know your exact problems, but did the window titled 'Microsoft.net' show up, and if it did, did you click and agree with all the steps, installing the software? After this, it should work.
The window 'Microsoft.net' did show up but then the next window popped up and said 'Your installation will now occur. See reasons below for why.' And then for reasons why it says, 'Same or higher version of .NET Framework 4 has already been installed on this computer.' And so I cannot press 'continue' to begin installing the software.

I do not know how to post a screenshot, unfortunately, but I hope this provides enough information about my situation. Thanks.
EbisuzawaKurumi

UBISOFT12 wrote:

TheWerdna338 wrote:

I do not know your exact problems, but did the window titled 'Microsoft.net' show up, and if it did, did you click and agree with all the steps, installing the software? After this, it should work.
The window 'Microsoft.net' did show up but then the next window popped up and said 'Your installation will now occur. See reasons below for why.' And then for reasons why it says, 'Same or higher version of .NET Framework 4 has already been installed on this computer.' And so I cannot press 'continue' to begin installing the software.

I do not know how to post a screenshot, unfortunately, but I hope this provides enough information about my situation. Thanks.
I'm meeting the same problem as you, but I think I have a theory why. Basically I landed on this page because I had a working version of Osu! until yesterday, when it forced me to update, and got stuck on the update screen ever since. Thus, I basically had the .net framework installed before, which is why (I think) the message appeared for me.

I think when the microsoft installer detected the .net framework, it was detecting the one that came along with the working version of osu. Thus, we may want to dig around a bit to understand how to uninstall the framework on mac (as it is initially only designed for pc).

Hope this helps, as soon as I find out a way to fix it, I'll reply here again.
EbisuzawaKurumi
actually, i want someone to try this.

download the osu version from https://github.com/Mic238/osu-for-Mac-Stable-Latest, and try moving the osu application into your applications folder, then running it. i was able to open the installer, but was met with the same issue as my previous working version. not sure if it's just me.
Topic Starter
TheWerdna338
The 'Microsoft.net' installer is detecting a framework of .net that is higher than the version 4 that is needed to run osu! This framework is installed onto the actual computer itself, so we have to find a way of deleting the framework and installing the correct version of it.

On a windows computer, it is a simple matter of searching for it in the control panel and deleting it, but on a mac it is different, but there must be a way to do it.
CatLordX

Play Offline wrote:

actually, i want someone to try this.

download the osu version from https://github.com/Mic238/osu-for-Mac-Stable-Latest, and try moving the osu application into your applications folder, then running it. i was able to open the installer, but was met with the same issue as my previous working version. not sure if it's just me.
Yup, I also have the same issue.
Topic Starter
TheWerdna338
I finally figured out a solution to this problem, but it is still likely not to work - it is worth a shot if you want the latest release of osu!

- Because the mac thinks that you have a higher version of the frmaework, it got me thinking to see what would happen if i tried to install a higher framework, so in winetricks (open wineskin in your wrapper, go to advanced, click 'winetricks') search 'dotnet45' and check the box which says this and run it.

- Once this has been run you should try to install the version framework 4 again (click on winsekin, install software, choose setup executable, then click on the dotnet40 file that had been installed)

- it should work this time around and will tell you to restart your mac, do this and when you run osu! again it might work

**This may not work and will probably give you you a configuration error when trying to run osu! But if it works please let me know**
Topic Starter
TheWerdna338
This is how to get osu! running on mac OS high sierra if you want the stable release, NOT the latest release. Osu! will work but will be locked to the Stable (Fallback) release stream. This should be a guarentee for osu! to work on your mac (with OS high sierra), but if not let me know:

1. Download the 'Stable Release (2015-10-17)' from the osu download for mac website, http://osuosx.tumblr.com/

2. Once downloaded and placed into applications, right click on osu!, click on 'show package contents' and open winsekin.

3. In wineskin, click on 'set screen options' and make sure only the two top boxes are checked, 'Use mac driver instead of x11' and 'decorate windows'

4. Now go back to main winsekin window, click on 'advanced', then 'tools', then 'winetricks' and in the search bar, search 'video', click on 'settings' and check the box which says 'videomemorysixe=2048' and run this. (If you get an error when trying to run, then go back to 'tools' and click 'kill wineskin process')

5. Now click on 'test run' or just open up osu! normally, and it should work.
MysticalAce

TheWerdna338 wrote:

This is how to get osu! running on mac OS high sierra if you want the stable release, NOT the latest release. Osu! will work but will be locked to the Stable (Fallback) release stream. This should be a guarentee for osu! to work on your mac (with OS high sierra), but if not let me know:

1. Download the 'Stable Release (2015-10-17)' from the osu download for mac website, http://osuosx.tumblr.com/

2. Once downloaded and placed into applications, right click on osu!, click on 'show package contents' and open winsekin.

3. In wineskin, click on 'set screen options' and make sure only the two top boxes are checked, 'Use mac driver instead of x11' and 'decorate windows'

4. Now go back to main winsekin window, click on 'advanced', then 'tools', then 'winetricks' and in the search bar, search 'video', click on 'settings' and check the box which says 'videomemorysixe=2048' and run this. (If you get an error when trying to run, then go back to 'tools' and click 'kill wineskin process')

5. Now click on 'test run' or just open up osu! normally, and it should work.
So, I tried this and it worked. Thank you for this :D:D:D. However, I did notice a problem with the framerate for some reason. It would occasionally have random lag spikes while playing a beatmap.

I found out all the settings in "Framelimiter" will lag you, except V-sync. I have no idea why this is. Im using a laptop too. It might be different on an actual desktop than a laptop lol
UBISOFT12

TheWerdna338 wrote:

This is how to get osu! running on mac OS high sierra if you want the stable release, NOT the latest release. Osu! will work but will be locked to the Stable (Fallback) release stream. This should be a guarentee for osu! to work on your mac (with OS high sierra), but if not let me know:

1. Download the 'Stable Release (2015-10-17)' from the osu download for mac website, http://osuosx.tumblr.com/

2. Once downloaded and placed into applications, right click on osu!, click on 'show package contents' and open winsekin.

3. In wineskin, click on 'set screen options' and make sure only the two top boxes are checked, 'Use mac driver instead of x11' and 'decorate windows'

4. Now go back to main winsekin window, click on 'advanced', then 'tools', then 'winetricks' and in the search bar, search 'video', click on 'settings' and check the box which says 'videomemorysixe=2048' and run this. (If you get an error when trying to run, then go back to 'tools' and click 'kill wineskin process')

5. Now click on 'test run' or just open up osu! normally, and it should work.
Hello!

You're stable solution worked! However, as you said, I did encounter a configuration error when trying the other solution. According to google, it seems to be an error with having multiple .NET framework versions and something about using separate 32-bit prefixes. I don't know much about this stuff, but I hope that helps.

Regardless, thank you very much for a working solution!

Ubi
sanethebro
I know how to fix it. Just start by running dotnet45 , then retry with dotnet40
fongtastic
i am stuck at step 3 cuz it doesn't let me click 'Create a new blank wrapper'
PlastiK116

fongtastic wrote:

i am stuck at step 3 cuz it doesn't let me click 'Create a new blank wrapper'
Click "+" and click ''download and install" after that you should be able to create new wrapper
VoidMage

MysticalAce wrote:

TheWerdna338 wrote:

This is how to get osu! running on mac OS high sierra if you want the stable release, NOT the latest release. Osu! will work but will be locked to the Stable (Fallback) release stream. This should be a guarentee for osu! to work on your mac (with OS high sierra), but if not let me know:

1. Download the 'Stable Release (2015-10-17)' from the osu download for mac website, http://osuosx.tumblr.com/

2. Once downloaded and placed into applications, right click on osu!, click on 'show package contents' and open winsekin.

3. In wineskin, click on 'set screen options' and make sure only the two top boxes are checked, 'Use mac driver instead of x11' and 'decorate windows'

4. Now go back to main winsekin window, click on 'advanced', then 'tools', then 'winetricks' and in the search bar, search 'video', click on 'settings' and check the box which says 'videomemorysixe=2048' and run this. (If you get an error when trying to run, then go back to 'tools' and click 'kill wineskin process')

5. Now click on 'test run' or just open up osu! normally, and it should work.
So, I tried this and it worked. Thank you for this :D:D:D. However, I did notice a problem with the framerate for some reason. It would occasionally have random lag spikes while playing a beatmap.

I found out all the settings in "Framelimiter" will lag you, except V-sync. I have no idea why this is. Im using a laptop too. It might be different on an actual desktop than a laptop lol
Hey, When I try updating, it says it updates, but then closes and tried again endlessly
Pybeats
I can't get past step 6.
Mic238
So first, thanks for using my work, always great to share.

The whole thing for dotnet40 is, winetrick included is an ancient version and needs manual update before install everything.

Osu only require dotnet40 not 45, and in wine this is a pain to install coz it always throws errors after successful install.

I've updated the package a few days ago to fix a few bugs and fix the icon problem (but cjkfont would be dead with this update

Pybeats wrote:

I can't get past step 6.
I've update the package and it should work without modifying (unless you have install security update 2018-001 which would take some effort to make it work
giatran

TheWerdna338 wrote:

This is how to get osu! running on mac OS high sierra if you want the stable release, NOT the latest release. Osu! will work but will be locked to the Stable (Fallback) release stream. This should be a guarentee for osu! to work on your mac (with OS high sierra), but if not let me know:

1. Download the 'Stable Release (2015-10-17)' from the osu download for mac website, http://osuosx.tumblr.com/

2. Once downloaded and placed into applications, right click on osu!, click on 'show package contents' and open winsekin.

3. In wineskin, click on 'set screen options' and make sure only the two top boxes are checked, 'Use mac driver instead of x11' and 'decorate windows'

4. Now go back to main winsekin window, click on 'advanced', then 'tools', then 'winetricks' and in the search bar, search 'video', click on 'settings' and check the box which says 'videomemorysixe=2048' and run this. (If you get an error when trying to run, then go back to 'tools' and click 'kill wineskin process')

5. Now click on 'test run' or just open up osu! normally, and it should work.
I followed these steps and osu! installed I think but now I get the error that osu! is "Unable to find a version of the runtime to run this application."
show more
Please sign in to reply.

New reply